Package org.opengis.cite.iso19142.basic.filter.temporal

# Class TemporalFilter

java.lang.Object
org.opengis.cite.iso19142.basic.filter.temporal.TemporalFilter

public class TemporalFilter extends Object
Checks preconditions for running tests to verify that the IUT satisfies the requirements of the Minimum Temporal filter conformance class. All tests are skipped if any preconditions are not met. The filter constraint "ImplementsMinTemporalFilter" must be set to "TRUE" in the capabilities document. The During operator must be implemented.

     <Conformance xmlns="http://www.opengis.net/fes/2.0">
       <Constraint name="ImplementsMinTemporalFilter">
         <AllowedValues xmlns="http://www.opengis.net/ows/1.1">
           <Value>TRUE</Value>
         </AllowedValues>
       </Constraint>
     </Conformance>

See Also:
  - ATC A.9: Test cases for minimum temporal filter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMPL_MIN_TEMPORAL_FILTER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemporalFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `implementsMinimumTemporalFilter(org.testng.ITestContext testContext)`
  This @BeforeTest configuration method checks the implementation status of the "ImplementsMinTemporalFilter" conformance class.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMPL_MIN_TEMPORAL_FILTER

    public static final String IMPL_MIN_TEMPORAL_FILTER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TemporalFilter

    public TemporalFilter()

- ## Method Details

  - ### implementsMinimumTemporalFilter

    @BeforeTest public void implementsMinimumTemporalFilter(org.testng.ITestContext testContext)
    This @BeforeTest configuration method checks the implementation status of the "ImplementsMinTemporalFilter" conformance class.
    Parameters:
      `testContext` - Information about the test run environment.